/**
 * 这是所有模块公用业务逻辑的服务
 */
export default class PublicService {
    constructor(AjaxService) {
        Object.assign(this, { AjaxService })
        this.name = 'PublicService'
    }
    /**
     * 获取地址
     */
    GetAllAddressData(data = {}) {
        return this.AjaxService.get({
            url: '/other/list',
            data,
            isLoading: false,
        })
    }
    /**
     * 发送手机验证码
     * mobile 手机号
     */
    GetheHeSend(data = {}) {
        return this.AjaxService.get({
            url: '/user/he/send',
            data,
            isLoading: true,
        })
    }
}
